Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 124320 - Unnecessary calls to HgUtils.isIgnored
Unnecessary calls to HgUtils.isIgnored
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
Sun All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 13:24 UTC by Padraig Obriain
Modified: 2008-01-03 09:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (1.34 KB, patch)
2007-12-20 13:31 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Padraig Obriain 2007-12-20 13:24:25 UTC
In MercurialAnnotator there are calls to HgUtils.isIgnored in fileCreatedImpl and fileChangedImpl.

Because of issue 124262 Hgutils.isIgnored returns false for files which should be ignored. This suggests that the calls
to HgUtils.isIgnored are unnecessary and can be removed.
Comment 1 Padraig Obriain 2007-12-20 13:31:19 UTC
Created attachment 54412 [details]
proposed patch
Comment 2 Padraig Obriain 2007-12-20 13:43:21 UTC
IDE:-------------------------------------------------
IDE: [12/20/07 1:38 PM] Committing "MercurialInterceptor.java" started
Checking in MercurialInterceptor.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/MercurialInterceptor.java,v 
<--  MercurialInterceptor.java
new revision: 1.17; previous revision: 1.16
done
IDE: [12/20/07 1:38 PM] Committing "MercurialInterceptor.java" finished
Comment 3 Padraig Obriain 2007-12-20 13:48:23 UTC
Patch committed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo